Loading...
Searching...
No Matches
gx_system::Accum Class Reference

`#include <gx_system.h>`

## Public Member Functions

| Accum ()
void | reset ()
void | add (int diff)
int | count () const
float | mean () const
float | stddev () const
float | minimum () const
float | maximum () const

## Private Attributes

int | n
int | mn
int | mx
float | sx
float | sx2

## Detailed Description

Definition at line 149 of file gx_system.h.

## Constructor & Destructor Documentation

## Accum()

gx_system::Accum::Accum | ( |  | ) |

inline

Definition at line 157 of file gx_system.h.

## Member Function Documentation

## add()

void gx_system::Accum::add | ( | int | diff | ) |

inline

Definition at line 173 of file gx_system.h.

## count()

int gx_system::Accum::count | ( |  | ) | const

inline

Definition at line 166 of file gx_system.h.

## maximum()

float gx_system::Accum::maximum | ( |  | ) | const

inline

Definition at line 170 of file gx_system.h.

## mean()

float gx_system::Accum::mean | ( |  | ) | const

inline

Definition at line 167 of file gx_system.h.

## minimum()

float gx_system::Accum::minimum | ( |  | ) | const

inline

Definition at line 169 of file gx_system.h.

## reset()

void gx_system::Accum::reset | ( |  | ) |

inline

Definition at line 158 of file gx_system.h.

Referenced by Accum().

## stddev()

float gx_system::Accum::stddev | ( |  | ) | const

inline

Definition at line 168 of file gx_system.h.

## Member Data Documentation

## mn

int gx_system::Accum::mn

private

Definition at line 152 of file gx_system.h.

Referenced by add(), minimum(), and reset().

## mx

int gx_system::Accum::mx

private

Definition at line 153 of file gx_system.h.

Referenced by add(), maximum(), and reset().

## n

int gx_system::Accum::n

private

Definition at line 151 of file gx_system.h.

Referenced by add(), count(), mean(), reset(), and stddev().

## sx

float gx_system::Accum::sx

private

Definition at line 154 of file gx_system.h.

Referenced by add(), mean(), reset(), and stddev().

## sx2

float gx_system::Accum::sx2

private

Definition at line 155 of file gx_system.h.

Referenced by add(), reset(), and stddev().

The documentation for this class was generated from the following file:

- src/headers/gx_system.h